%define		_status		stable
%define		_pearname	Games_Chess
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - construct and validate a logical chess game, does not display
Summary(pl.UTF-8):	%{_pearname} - konstruowanie i sprawdzanie poprawności logicznej gry w szachy
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	4
Epoch:		0
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f531ee3c5600a1713f41b3a4c2b6b09f
URL:		http://pear.php.net/package/Games_Chess/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Obsoletes:	php-pear-Games_Chess-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq pear(HTML_TestListener.php) pear(TestUnit.php)

%description
The logic of handling a chessboard and parsing standard FEN
(Farnsworth-Edwards Notation) for describing a position as well as SAN
(Standard Algebraic Notation) for describing individual moves is
handled. This class can be used as a backend driver for playing chess,
or for validating and/or creating PGN files using the File_ChessPGN
package.

Although this package is alpha, it is fully unit-tested. The code
works, but the API is fluid, and may change dramatically as it is put
into use and better ways are found to use it. When the API stabilizes,
the stability will increase.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten moduł obsługuje logikę obsługi szachownicy i analizy standardu
notacji FEN (Farnsworth-Edwards Notation) do opisu pozycji, a także
notacji SAN (Standard Algebraic Notation) do opisu poszczególnych
ruchów. Klasa może być używana jako backend do gry w szachy lub do
sprawdzania poprawności albo tworzenia plików PGN przy użyciu pakietu
File_ChessPGN.

Mimo że ten pakiet jest w stanie alpha, jest w pełni przetestowany.
Kod działa, ale API jest nie ustabilizowane i może się zmienić
drastycznie, jeśli znajdą się ku temu powody. Kiedy API się
ustabilizuje, zwiększy się stabilność całej klasy.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm -f ./%{php_pear_dir}/data/Games_Chess/LICENSE # PHP 3.0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Games
%{php_pear_dir}/Games/*.php
%{php_pear_dir}/Games/Chess
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> b08cc19
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 853f946
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> dffe62d
- dropped -tests subpackage

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 48d945a
- rel 2

* Sat Aug 25 2007 Adam Gołębiowski <adamg@pld-linux.org> 2fe4f95
- updated to 1.0.1

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> a2e77ea
- 1.0.0-stable

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 28ac27c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 19b27b3
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> b9834cd
- updated to 0.9.1

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> a76b388
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> dc876e4
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 7250993
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 554797f
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> b89cd00
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 449c2ba
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 49ed16d
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 5118d1c
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> bf97436
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 3276a45
- fix requires for -tests (typo)

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> a87ef1b
- include epoch into tests subpackage requires

